
/*********************************************************************************\
****                                                                           ****
***                           - Schlampisoft -                                  ***
***                                                                             ***
***                    X-Window Floating File Menu V 1.0                        ***
***                                                                             ***
***                    (c)July 1997 by Michael Sohmen                           ***
***                                                                            ****
\*********************************************************************************/

/*

This program is freeware, according to the GNU GENERAL PUBLIC LICENSE (for details see below).

> This program is free software; you can redistribute it and/or modify
> it under the terms of the GNU General Public License as published by
> the Free Software Foundation; either version 2 of the License, or
> (at your option) any later version.

> This program is distributed in the hope that it will be useful,
> but WITHOUT ANY WARRANTY; without even the implied warranty of
> MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> GNU General Public License for more details.

> You should have received a copy of the GNU General Public License
> along with this program; if not, write to the Free Software
> Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/Xos.h>
#include <X11/cursorfont.h>

#include <iostream.h>

#include "basicwin.h"
#include "options.h"
#include "display.h"


void main(int argc, char *argv[])
{
  
  // Parse command line options
  CommandLineOptions(argc, argv);

  if ((root = create_menustruct(res_file, atoi(buttons)))==NULL)
  {
    cout << "Couldn't read resource file b1\n";
    exit (-1);
  }
  
  Init_display(font1, font2);
  
  menu=(sub_menu_struct *)((main_menu_struct *)root->child)->child;
  if (menu==NULL)
  {
    cout << "No menu created\n";
    exit (-1);
  }
  
  alignment();
  
  menu=(sub_menu_struct *)((main_menu_struct *)root->child)->child;
  while ((menu=menu->next)!=NULL)
  {
    menu->window=(int *)new 
        xtc_window(argc, argv, display, mainw,
                display_x, display_y, 
                display_width, display_height,
                display_border_width, depth,
                font_info_first,
                font_info_second,
                font_info_third,
                screen_num, xpos, ypos, steps, *at,
                &report, menu);
    xpos=((xtc_window *) menu->window)->get_next_x();
  }


  /* window items */
  unsigned int button;          
          
  /* Main proc: Events */
  int window_up=0;
  while (TRUE) 
  {
    // Wait for a matching event, grab and put it back
    if (window_up==0)
    {
      XNextEvent(display, &report);
      XPutBackEvent(display, &report);
    }

    window_up=0;
    thismenu=(sub_menu_struct *)((main_menu_struct *)root->child)->child;
    while ((thismenu=thismenu->next)!=NULL)
    {
      menu=(sub_menu_struct *)((main_menu_struct *)root->child)->child;
      if ( ((xtc_window *) thismenu->window)->check_notifiers() == 1)
        window_up = 1;
    }
  }
}
